Skip to main content
GET
/
api
/
v1
/
renders
/
{id}
Get render status
curl --request GET \
  --url https://quizquail.com/api/v1/renders/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "quiz_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "pending",
    "output_url": "<string>",
    "error_message": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Prefix your key with Bearer in the Authorization header.

Keys follow the format qq_... and can be scoped to specific permissions.

Path Parameters

id
string<uuid>
required

Resource UUID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Render job status

data
object
required